# Family descendancy list 0.1

This code is hobby code and is rough and unpolished. I haven't prepared it for public use but figured something is better than nothing, even if it's embarrassing.

If you run into issues, feel free to email me: ben.crowder@gmail.com


## Installation

- Serve the files with a web server of some kind (opening index.html directly in a browser won't work because of the web worker)


## Usage

- Go to the page
- Enter your descendancy list into the textbox (see below for examples + syntax)
- Print
  - You'll probably want to turn off the headers/footers in your browser printer settings
  - Also note that Chrome won't load the font correctly unless you print preview a second time (without reloading the page)


## Configuration

- The font is currently Crimson Pro, loaded from Google Fonts. To change this, you'll need to edit `style.css` and the relevant `<head>` lines in `index.html`.
- You can change page margins in `style.css` in the `@page` block


## Example

(Some of this family data is real, but I've modified some other parts to show the syntax.)

```
title: Family of Emidio Barlaam Napoleone (1821)
section: Section 4.0
date: 12 July 2024
basegen: 4

- Emidio Barlaam Napoleone | b. 22 Nov 1821 in Manoppello | d. 20 Feb 1898 in Torre de’ Passeri
+ Maria Crocifissa Calenzani | b. 2 May 1830 in Torre de’ Passeri | m. 24 Jan 1852 in Manoppello | d. 24 Feb 1884 in Torre de’ Passeri
  - Domenico Napoleone | b. 14 Nov 1852 in Torre de’ Passeri | d. 27 Jun 1854 in Torre de’ Passeri
  - Anna Domenica Napoleone | b. 14 Jan 1855 in Torre de’ Passeri
  + Gabriele Sartorelli | b. 1840 in Chieti, Italy | m. 26 Sep 1877 in Torre de’ Passeri | d. 4 Oct 1914 in Torre de’ Passeri
    - Raffaele Sartorelli | b. 11 Nov 1878 in Torre de’ Passeri
    + Leontina di Cecco | b. 1880 in Fara San Martino, Chieti, Italy | m. 25 Sep 1907 in Fara San Martino, Chieti, Italy
    - Maria Sartorelli | b. 23 Nov 1880 in Torre de’ Passeri
    - Giustino Sartorelli | b. 14 Dec 1882 in Torre de’ Passeri | d. 31 Dec 1883 in Torre de’ Passeri
  # Unclear on whether this marriage is substantiated by the evidence
  + Giuseppe Mastromonaco | m. 1 Jan 1884 in Torre de’ Passeri
    - Crocifissa Mastromonaco | b. 22 Nov 1884 in Torre de’ Passeri | d. 24 Nov 1890 in Torre de’ Passeri
    - Concetta Mastromonaco | b. 16 May 1887 in Torre de’ Passeri
    - Rita Mastromonaco | b. 22 May 1889 in Torre de’ Passeri | d. 26 Dec 1918 in Torre de’ Passeri
    - Michele Mastromonaco | b. 12 Sep 1891 in Torre de’ Passeri
    - Giustino Mastromonaco | b. 6 Jul 1893 in Torre de’ Passeri
    - Assunta Mastromonaco | b. 14 Aug 1895 in Torre de’ Passeri
    - Virginia Mastromonaco | b. 2 Jun 1899 in Torre de’ Passeri
  - Luigi Napoleone | b. 14 Dec 1856 in Torre de’ Passeri | d. 20 Sep 1857 in Torre de’ Passeri
  - Rocco Napoleone | b. 16 Aug 1858 in Torre de’ Passeri | d. 18 Nov 1861 in Torre de’ Passeri
  - Luigi Napoleone | b. 29 Nov 1860 in Caramanico Terme, Pescara, Italy | d. 5 Feb 1928 in Torre de’ Passeri
  + Elisabetta Maria Carmela Colangelo | b. 31 Jan 1857 in Torre de’ Passeri | m. Jan 1884 in Roccacaramanico
    > See section 4.1 for the descendants of Luigi & Elisabetta
  - @continued
```


## Syntax

- You can set the following optional fields at the beginning:
  - `title` -- page title, won't show any if empty
  - `date` -- date modified, won't show any if empty
  - `section` -- section, won't show any if empty
  - `basegen` -- the base generation to use (useful when doing these kinds of lists over several generations); the default is 1
- Use two spaces for indentation
- For each person in the descendancy list, use `-` to indicate a child and `+` to indicate a spouse
  - A person can have multiple spouses
  - The syntax for a person line is name followed by a pipe-delimited list of events/properties (and these are freeform text, so you can put whatever you want in them)
- You can add comments by putting `#` at the beginning of a line 
- To put a "Continued on the next page..." marker that breaks to the next page, use `- @continued`
- To put a link note to another section, use `>` followed by whatever text you want it to say


## Other notes

- The contents of the textbox are saved to local storage and should remain intact if you reload the page (but I recommend that you edit these locally and paste them into the textbox)
- I've tested this in Firefox, Safari, and Chrome on macOS and in Safari on iOS


Good luck!
